Daemon Power

The NetBSD Packages Collection: net/py-twine

Brief description of the package:
Collection of utilities for publishing packages on PyPI

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://twine.readthedocs.io/.

Please note that this package has a apache-2.0 license.

The package is located in the "net/py-twine" directory. The current source version of the package is "py38-twine-1.13.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/py-twine :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py38-pkginfo>=1.4.2 py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python38>=3.8.0 python38>=3.8.6 py38-readme_renderer>=21.0 py38-bleach>=2.1.0 py38-packaging-[0-9]* py38-pyparsing>=2.0.2 py38-six-[0-9]* py38-six>=1.9.0 py38-webencodings-[0-9]* py38-test-runner>=2.0 py38-setuptools_scm-[0-9]* py38-toml-[0-9]* py38-test-[0-9]* py38-attrs>=17.4.0 py38-iniconfig-[0-9]* py38-pluggy>=0.12 py38-py>=1.8.2 py38-docutils>=0.13.1 py38-expat>=0 py38-roman>=1.4 py38-pygments>=2.5.1 py38-requests>=2.17 py38-OpenSSL>=0.14 py38-cryptography>=2.8 py38-cffi>=1.11.4 py38-cparser-[0-9]* py38-six>=1.4.1 py38-six>=1.5.2 py38-certifi>=2017.4.17 py38-chardet>=3.0.2 py38-cryptography>=1.3.4 py38-idna>=2.5 py38-urllib3>=1.12.1 py38-Socks>=1.6.0 py38-certifi-[0-9]* py38-idna>=2.0.0 py38-requests-toolbelt>=0.9.1 py38-requests>=2.1.0<3.0 py38-tqdm>=4.14 .

This package requires the following package(s) to run: py38-pkginfo>=1.4.2 py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python38>=3.8.0 python38>=3.8.6 py38-readme_renderer>=21.0 py38-bleach>=2.1.0 py38-packaging-[0-9]* py38-pyparsing>=2.0.2 py38-six-[0-9]* py38-six>=1.9.0 py38-webencodings-[0-9]* py38-docutils>=0.13.1 py38-expat>=0 py38-roman>=1.4 py38-pygments>=2.5.1 py38-requests>=2.17 py38-OpenSSL>=0.14 py38-cryptography>=2.8 py38-cffi>=1.11.4 py38-cparser-[0-9]* py38-six>=1.4.1 py38-six>=1.5.2 py38-certifi>=2017.4.17 py38-chardet>=3.0.2 py38-cryptography>=1.3.4 py38-idna>=2.5 py38-urllib3>=1.12.1 py38-Socks>=1.6.0 py38-certifi-[0-9]* py38-idna>=2.0.0 py38-requests-toolbelt>=0.9.1 py38-requests>=2.1.0<3.0 py38-tqdm>=4.14 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py36-twine-1.13.0.tgz(NetBSD 9.0)
aarch64:py37-twine-1.13.0.tgz(NetBSD 9.0)
aarch64:py38-twine-1.13.0.tgz(NetBSD 9.0)
aarch64:py27-twine-1.13.0.tgz(NetBSD 9.0)
aarch64:py36-twine-1.13.0.tgz(NetBSD 9.0)
aarch64:py37-twine-1.13.0.tgz(NetBSD 9.0)
aarch64:py38-twine-1.13.0.tgz(NetBSD 9.0)
alpha:py36-twine-1.13.0.tgz(NetBSD 9.0)
alpha:py37-twine-1.13.0.tgz(NetBSD 9.0)
alpha:py38-twine-1.13.0.tgz(NetBSD 9.0)
earm:py27-twine-1.13.0.tgz(NetBSD 9.0)
earmv6hf:py36-twine-1.13.0.tgz(NetBSD 9.0)
earmv6hf:py37-twine-1.13.0.tgz(NetBSD 9.0)
earmv6hf:py38-twine-1.13.0.tgz(NetBSD 9.0)
earmv6hf:py36-twine-1.13.0.tgz(NetBSD 9.0)
earmv6hf:py37-twine-1.13.0.tgz(NetBSD 9.0)
earmv6hf:py38-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py27-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py36-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py37-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py38-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py27-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py36-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py37-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py38-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py37-twine-1.13.0.tgz(NetBSD 8.0)
earmv7hf:py27-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py36-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py37-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py38-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py27-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py36-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py37-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py38-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py36-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py37-twine-1.13.0.tgz(NetBSD 9.0)
earmv7hf:py38-twine-1.13.0.tgz(NetBSD 9.0)
i386:py36-twine-1.13.0.tgz(NetBSD 8.0)
i386:py37-twine-1.13.0.tgz(NetBSD 8.0)
i386:py38-twine-1.13.0.tgz(NetBSD 8.0)
i386:py27-twine-1.13.0.tgz(NetBSD 8.0)
i386:py36-twine-1.13.0.tgz(NetBSD 8.0)
i386:py37-twine-1.13.0.tgz(NetBSD 8.0)
i386:py38-twine-1.13.0.tgz(NetBSD 8.0)
i386:py36-twine-1.13.0.tgz(NetBSD 9.0)
i386:py37-twine-1.13.0.tgz(NetBSD 9.0)
i386:py38-twine-1.13.0.tgz(NetBSD 9.0)
i386:py27-twine-1.13.0.tgz(NetBSD 9.0)
i386:py36-twine-1.13.0.tgz(NetBSD 9.0)
i386:py37-twine-1.13.0.tgz(NetBSD 9.0)
i386:py38-twine-1.13.0.tgz(NetBSD 9.0)
mips64eb:py36-twine-1.13.0.tgz(NetBSD 9.0)
mips64eb:py37-twine-1.13.0.tgz(NetBSD 9.0)
mips64eb:py38-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py27-twine-1.13.0.tgz(NetBSD 8.0)
powerpc:py36-twine-1.13.0.tgz(NetBSD 8.0)
powerpc:py37-twine-1.13.0.tgz(NetBSD 8.0)
powerpc:py38-twine-1.13.0.tgz(NetBSD 8.0)
powerpc:py27-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py36-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py37-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py38-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py27-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py36-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py37-twine-1.13.0.tgz(NetBSD 9.0)
powerpc:py38-twine-1.13.0.tgz(NetBSD 9.0)
sparc64:py36-twine-1.13.0.tgz(NetBSD 9.0)
sparc64:py37-twine-1.13.0.tgz(NetBSD 9.0)
sparc64:py38-twine-1.13.0.tgz(NetBSD 9.0)
sparc64:py36-twine-1.13.0.tgz(NetBSD 9.0)
sparc64:py37-twine-1.13.0.tgz(NetBSD 9.0)
sparc64:py38-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py39-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py27-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 8.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py27-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py36-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py37-twine-1.13.0.tgz(NetBSD 9.0)
x86_64:py38-twine-1.13.0.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]